Package twisted :: Package spread :: Module pb :: Class Avatar

[frames | no frames]

## Class Avatar

Known Subclasses:
  `Perspective`, `Perspective`

A default IPerspective implementor.

This class is intended to be subclassed, and a realm should return an instance of such a subclass when IPerspective is requested of it.

A peer requesting a perspective will receive only a `RemoteReference` to a pb.Avatar. When a method is called on that `RemoteReference`, it will translate to a method on the remote perspective named 'perspective_methodname'. (For more information on invoking methods on other objects, see `flavors.ViewPoint`.)

Method Summary
| ``perspectiveMessageReceived`(self, broker, message, args, kw)` This method is called when a network message is received.

Class Variable Summary
`class` | `__implements__` = `twisted.spread.pb.IPerspective`

Method Details

### perspectiveMessageReceived(self, broker, message, args, kw)

This method is called when a network message is received.

I will call:

     |  self.perspective_%(message)s(*broker.unserialize(args),
     |                               **broker.unserialize(kw))

to handle the method; subclasses of Avatar are expected to implement methods of this naming convention.

Generated by Epydoc 2.0 on Sat May 15 20:08:46 2004 | http://epydoc.sf.net